<script setup lang="ts">
import { ref } from 'vue'
import { useI18n } from 'vue-i18n'
import { useAppStore } from '../stores/AppStore'
import MemberInformation from '../parts/MemberInformation.vue'
import SignInForm from '../parts/SignInForm.vue'
import SignOutForm from '../parts/SignOutForm.vue'
import SignUpForm from '../parts/SignUpForm.vue'
import ForgetPasswordForm from '../parts/ForgetPasswordForm.vue'

// using
const { t } = useI18n({
	messages: {
		en: {
			title: `@:app`,
		},
		th: {
			title: `@:app`,
		},
	},
})
const appStore = useAppStore()
</script>


<template>
	<AppBox :title="t('title')">
		<Breadcrumbs :path="[
			[t('path.home'), '/']]" />

		<div>
			<MemberInformation />
			<SignInForm />
			<SignOutForm />
			<SignUpForm />
			<ForgetPasswordForm />
		</div>

	</AppBox>
</template>
